List the emails of a folder
curl --request GET \
--url https://{dsn}/api/v1/{account_id}/folders/{folder_id}/emails \
--header 'X-API-KEY: <api-key>'import requests
url = "https://{dsn}/api/v1/{account_id}/folders/{folder_id}/emails"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://{dsn}/api/v1/{account_id}/folders/{folder_id}/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "Emails",
"data": [
{
"object": "Email",
"id": "<string>",
"account_id": "<string>",
"thread_id": "<string>",
"date": "2023-11-07T05:31:56Z",
"subject": "<string>",
"from_attendee": {
"identifier": "jsmith@example.com",
"display_name": "<string>",
"identifier_type": "EMAIL_ADDRESS"
},
"to_attendees": [
{
"identifier": "jsmith@example.com",
"display_name": "<string>",
"identifier_type": "EMAIL_ADDRESS"
}
],
"cc_attendees": [
{
"identifier": "jsmith@example.com",
"display_name": "<string>",
"identifier_type": "EMAIL_ADDRESS"
}
],
"bcc_attendees": [
{
"identifier": "jsmith@example.com",
"display_name": "<string>",
"identifier_type": "EMAIL_ADDRESS"
}
],
"reply_to_attendees": [
{
"identifier": "jsmith@example.com",
"display_name": "<string>",
"identifier_type": "EMAIL_ADDRESS"
}
],
"body": "<string>",
"body_plain": "<string>",
"has_attachments": true,
"attachments": [
{
"id": "<string>",
"name": "<string>",
"extension": "<string>",
"size": 123,
"mime": "<string>",
"cid": "<string>",
"inline": true
}
],
"folders": [
"<string>"
],
"is_unread": true,
"is_complete": true,
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"origin": "api",
"tracking_id": "<string>",
"draft_id": "<string>"
}
],
"has_more": true,
"cursor": "<string>"
}{
"status": 401,
"type": "errors/unauthorized",
"title": "Unauthorized",
"detail": "missing or invalid API key"
}{
"status": 404,
"type": "errors/not_found",
"title": "Not found",
"detail": "email email_94a0d77db739407e932c3b97fef44aac not found"
}Emails
List the emails of a folder
The emails in one folder, newest first, with the same filters and paging as
List emails. Get the folder ids (and their role, such as
INBOX or SENT) from List folders.
GET
/
{account_id}
/
folders
/
{folder_id}
/
emails
List the emails of a folder
Authorizations
Your access token, from your dashboard under API keys.
Query Parameters
Sender's email address (exact, case-insensitive).
A recipient (to, cc or bcc), exact, case-insensitive.
The sender or any recipient.
Subject contains (case-insensitive).
Emails dated before this time.
Emails dated after this time.
How many items per page, 1 to 250.
Required range:
1 <= x <= 250The cursor from the previous page. Leave it out for the first page.